
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>安卓的进化史 / iVAN</title>

    <meta name="description" content="安卓的进化史 安卓已经六岁了.经过这六年,安卓已经成功占据了80%的市场,把iOS和Windows Mobie/Phone 远远甩在后面.现在正是回顾这个绿色机器人起源的最佳时机. 虽然安卓出现于2007年11月,但是2008年9月22日才是其&quot;真正&quot;的开端,那天HTC Dream(也被称为T-Mobile G1)发布.然而这个开始并不容易也不美好,很多评论员声称这个操作系统永远也不会打败苹果和微软的操作系统,这种观点在当时非常权威.毕竟,安卓当时和现在索尼(Sony).LG.HTC和三星 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">安卓的进化史</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>安卓已经六岁了。经过这六年，安卓已经成功占据了80%的市场，把iOS和Windows Mobie/Phone 远远甩在后面。现在正是回顾这个绿色机器人起源的最佳时机。</p>
<p>虽然安卓出现于2007年11月，但是2008年9月22日才是其“真正”的开端，那天<a href="http://forum.xda-developers.com/htc-dream-g1" rel="external nofollow noreferrer">HTC Dream</a>（也被称为T-Mobile G1）发布。然而这个开始并不容易也不美好，很多评论员声称这个操作系统永远也不会打败苹果和微软的操作系统，这种观点在当时非常权威。毕竟，安卓当时和现在索尼（Sony）、LG、HTC和三星发布的高度定制的版本大不相同。</p>
<p>早期版本的安卓是为了打电话、发送、接收短信、连接到互联网。安卓与众不同之处是它是开源的，用户可以贡献代码来加入创新。</p>
<p>让我们先回到 <a href="http://forum.xda-developers.com/htc-dream-g1" rel="external nofollow noreferrer">HTC Dream</a>，它是在一个早期的安卓会议中推出的。技术规格在当时是非常突出： 528兆赫、256 MB内存、192 MB的RAM，高通 MSM7201A ARM11的CPU。与同时代的许多其他设备相比，这是超乎想象的一款产品。这款手机最初使用安卓1.0版本，可升级到安卓1.6——代号甜甜圈（Donut）。</p>
<p>1.0版本有许多独一无二的特性，例如安卓市场（Android Market，现在被称为谷歌应用商店“Google Play Store”），可以让用户在上百种应用中选择安装，提高手机的初始功能；联系人被存储在云端并且和Gmail整合。此外，还有一个全功能的网页浏览器。在一开始，谷歌没有使用糖果作为开发代号，像是杯子蛋糕（Cupcake），甜甜圈（Donut）或闪电泡芙（Éclair）。只是叫做安卓1.0，不过安卓1.1被命名为花色蛋糕。<a href="http://www.androidpolice.com/2012/09/17/a-history-of-pre-cupcake-android-codenames/" rel="external nofollow noreferrer">沿着这种思路</a>，还有一些里程碑版本被命名为铁壁阿童木和邦德。</p>
<p>安卓1.5 杯子蛋糕（Cupcake） 进行了许多改进。第一个大改进就是内核提升到了版本2.6.27，使得系统更加稳定。同时，还提供了小工具（widgets），在四年后的今天依然被广泛的使用。最开始的时候，用户还可以安装自定义的键盘。最后一个重大的改进是实现了复制粘贴功能。</p>
<p>安卓1.6 甜甜圈（Donut）在4个月后发布。不过，除了安卓市场的截屏应用以及在相册中可以选择多幅图片进行删除以外，本质上就是杯子蛋糕的升级版，并没有太多面向用户的创新。</p>
<p>安卓开发的下一个大踏步是安卓 2.0/2.1 闪电泡芙（Éclair） 的发布。其内核又一次更新到了2.6.29版本，联系人同步系统被修正，并提供添加电子邮件地址的功能。说到这里，新版本添加了一个独立的电子邮件应用，还提供了对蓝牙2.1的支持。闪电泡芙的照相机应用增加了对闪光灯的支持，还支持缩放功能并提供白平衡设置。用户界面也被优化过，增加了滑轮滚动，允许用户选择动态壁纸作为背景图片。2.1版本也是一个大的进步，因为这是谷歌第一次决定发布一款手机：HTC制造的<a href="http://forum.xda-developers.com/nexus-one" rel="external nofollow noreferrer">Google Nexus One</a>。从那以后，他们品牌的设备都带上了 Nexus的代号。很多人认为这个名字<a href="http://online.wsj.com/news/articles/SB10001424052748703436504574640623301172810" rel="external nofollow noreferrer">来自于Philip K. Dick’s Nexus 6</a>。</p>
<p>安卓2.2 冰冻酸奶（Froyo） 在2010年五月发布。此次更新的主要目标是提升系统速度，正如介绍中说的将JIT（即时编译器）引入Dalvik虚拟机。链接方式也进行了修正，允许通过USB和WiFi进行网络共享。最后，改进后的浏览器应用支持GIF图片格式和Flash播放器——在Chrome浏览器取代AOSP浏览器后这项功能又被放弃了。在2010年的最后一个季度，三分之一美国人使用的使用智能手机安装的是安卓系统，赶超了iOS系统。从那以后，安卓被认为成主要移动设备。</p>
<p><a href="http://forum.xda-developers.com/nexus-s" rel="external nofollow noreferrer">Google Nexus S</a>是第一部装备了安卓2.3 姜饼的智能手机。这也是第一部由三星制造的Nexus设备。这是很重要的一步进展，如今三星已经成为了最大的智能机制造商。该设备几乎和 Samsung Galaxy S——一部备受推崇的手机一样经典。姜饼是一个非常成功的操作系统，立刻就成为了最受欢迎的移动操作系统。安卓2.3对新传感器，例如近距离无线通信（NFC）、陀螺仪和气压计提供了原生支持。这也是安卓第一次提供了支持前置和后置摄像头的应用程序接口（API），而不再是类似于我们在<a href="http://forum.xda-developers.com/htc-evo-4g" rel="external nofollow noreferrer">HTC Evo 4G</a>所看到的特定于设备的实现。该操作系统运行快速且稳定，现如今依然可以在很多传统设备中找到。</p>
<p>令人印象深刻的是，这样一个小角色成为了应用最广泛的操作系统之一。但是现在，让我们暂停这个故事。下周，我们将继续谈谈谷歌后来的发布。</p>
<p>安卓已经六岁了。之前推出了《安卓的历史：第一部分》。现在让我们继续踏上安卓的成长旅程。</p>
<p>很久很久以前，有一个遥远的银河系（出自《星球大战》）。在山景城（Google总部）安卓系统的第一个版本诞生了，这个系统是为了平板而设计的。Google称其为“蜂窝3.0”，并将其与<a href="http://forum.xda-developers.com/motorola-xoom" rel="external nofollow noreferrer">摩托罗拉</a>Xoom一起发布。</p>
<p>刚开始的时候，Google决定闭源开发。显然，他们试图实现一些独特的功能——并且实际也做到了。他们在系统中引入了通知区域切换功能，并且在图像处理单元中加入了图像补偿技术，这让系统能够响应日趋丰富的UI表现。说到性能，这是多内核系统第一次用在了流行的安卓设备上——这一趋势一直延续到我们正在进行的规格战争。</p>
<p><a href="http://s2.51cto.com/wyfs01/M02/3B/F4/wKioOVKpeabzJ5H0AAAlx5ofN00181.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMS9NMDIvM0IvRjQvd0tpb09WS3BlYWJ6SjVIMEFBQWx4NW9mTjAwMTgxLmpwZw==.jpg"></a></p>
<p> </p>
<p>Google引入的第二个版本是“4.0冰淇淋三明治”（ICS）。这个版本像支持平板一样支持手机，Google将这个系统发布在三星<a href="http://forum.xda-developers.com/galaxy-nexus" rel="external nofollow noreferrer">Galaxy Nexus</a>（GNex）这样一款非常流行的设备上。ICS在2011年的10月19号与大众见面。Linux3.0.1版本的内核被首次采用，“蜂窝”上大多数功能都被移植到内核中。GNex将减少一些按钮，这些按钮的功能将会由软件取代。这样做的目的是最大限度地利用4.65寸的屏幕面积。用户能够通过自拍进行屏幕解锁，并且“蜂窝”中非常简陋的“Holo”得到了一些改善。</p>
<p><a href="http://s5.51cto.com/wyfs01/M02/3B/F2/wKioJlKpebmSOuB7AAAk3gGwAi0814.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMS9NMDIvM0IvRjIvd0tpb0psS3BlYm1TT3VCN0FBQWszZ0d3QWkwODE0LmpwZw==.jpg"></a></p>
<p> </p>
<p>ICS发布半年后，Google揭开了“安卓4.1果冻豆”的神秘面纱。Google在由华硕生产的<a href="http://forum.xda-developers.com/nexus-7" rel="external nofollow noreferrer">Google Nexus 7</a>上发布了这个系统。“果冻豆”后续有三个主要更新：4.1、4.2和4.3。这三个版本一起成为了<a href="http://developer.android.com/about/dashboards/index.html" rel="external nofollow noreferrer">最受欢迎的操作系统</a>。最近数据显示，接入Google Play的设备中超过百分之五十使用了“果冻豆”系统。</p>
<p>安卓4.1有了<a href="http://www.xda-developers.com/android/highlights-from-day-1-at-google-io-2012/" rel="external nofollow noreferrer">大量的改进</a>，如“黄油计划”——丰富的屏幕通知、室内地图、Google Now等等。安卓4.2第一次发布是在市面非常流行的<a href="http://forum.xda-developers.com/nexus-4" rel="external nofollow noreferrer">Google Nexus 4</a>上，这款手机由LG生产。接下来，安卓4.3第一次发布在华硕生产的<a href="http://forum.xda-developers.com/nexus-7-2013" rel="external nofollow noreferrer">Google Nexus 7（2013）</a>上。这个版本引入了大量的增强功能，如<a href="http://www.xda-developers.com/android/android-4-4-security-enhancements/" rel="external nofollow noreferrer">之前讨论过</a>的SELinux。同时，摄像头软件进行了大幅更新，如swipe-to-dismiss UI模式、Photosphere等。</p>
<p>4.3发布以后，很多人猜测安卓的下个版本会是“5.0酸橙派”。不过正如现在知道的那样，4.3的下个版本最终定为了4.4“奇巧”。</p>
<p>2013年的万圣节，这个新操作系统在万众期待的<a href="http://forum.xda-developers.com/nexus-5" rel="external nofollow noreferrer">Google Nexus 5</a>上发布。新版本<a href="http://www.xda-developers.com/android/new-in-android-4-4-kitkat-everything-you-need-to-know/" rel="external nofollow noreferrer">增加了大量的功能</a>，其中一个主要目标是使系统能在低端设备上运行的更好，比如那些只有512MB内存的设备。4.4版本中还引入了<a href="http://www.xda-developers.com/android/new-runtime-compiler-in-android-4-4/" rel="external nofollow noreferrer">新的</a><a href="http://www.xda-developers.com/android/new-runtime-compiler-in-android-4-4/" rel="external nofollow noreferrer">ART</a><a href="http://www.xda-developers.com/android/new-runtime-compiler-in-android-4-4/" rel="external nofollow noreferrer">编译器</a>，并且很可能在未来的取代Dalvik的地位。</p>
<p>然而，并不是所有的疑虑都随着安卓最新版本的发布而消散。正如很多人担心的那样，Google正试图恢复对于安卓平台的控制——如果脱离了Google的闭源应用，很可能无法使用。不幸的是，Google已经决定舍弃很多开源应用，转而使用那些Google自己的闭源应用。这些闭源应用包括Chrome、Hangouts和新的Google Experience Launcher。虽然现在这种变化对于终端用户可能还没有太大的影响，但是没人知道这对于安卓平台的未来意味着什么。</p>
<p>过去的6年里，安卓已经从过去那个可爱的小绿机器人变成了现如今的强大势力。在现在的移动市场上Google是最大的玩家，最新的智能手机中大多数都在使用安卓系统。这个成功一部分是由安卓软件提供的自由与可定制所带来的。在功能已经非常丰富的操作系统上，新的设备制造商们可以增加额外的功能，根据自己的要求进行定制，如三星的TouchWiz和HTC的Sense。我们只能希望Google重新考虑关于使用专有平台取代开源应用程序的计划，因为这最终将会带走我们热爱的自由。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 04:00:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>安卓的进化史的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLOGaM.html" rel="bookmark">android开发-求高手解答安卓软件兼容性的一个问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求高手解答安卓软件兼容性的一个问题 安卓新手一枚,在2.2的试验机上做了个仿qq程序,今天拿了部4.0试了下,很多控件没有反应,甚至有的操作还会报错,不知道是为什么,我在建立这个项目时按照默认的配置配的,求解......			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo62Ez.html" rel="bookmark">安卓viewpager加载问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓viewpager加载问题 在viewpager实现底部选项的时候,我首先进入的是首页,然后我直接点几最后一个个人中心的按钮,但是点进去的时候,他首先会想加载第二个和第三个的里面的数据,我想问下,怎么才能在点几最后一个按钮的时候,不加载第二个和第三个里面的东西,只有点击第几个就记载第几个里面的东西,这个怎么实现? 解决方案 首先先让我吐槽一下错别字,点几,还一错就错两个,是点击呀.你这个其实不应该使用viewPager而是直接使用四个fragment就行了,然后使用Fragment			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPNN1b.html" rel="bookmark">微信浏览器安卓机无法保存canvas转成img格式的图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 微信浏览器安卓机无法保存canvas转成img格式的图片 大家好,如何解决安卓机微信内置浏览器无法保存canvas转成img格式的图片 (长按图片,无法发送给朋友.保存到手机,甚至无法收藏)的问题,我有想过将canvas转成img格式的图片传回服务器端进行处理,保存再显示出来,但data:image/png;base64的长度太长了,没成功. 有什么可以解决这问题?? 解决方案 用img加载base64图片信息不行?canvas隐藏起来而不是直接显示canvas对象 解决方案二: 嗯,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZOdBb.html" rel="bookmark">安卓应用开发-安卓开发中红米手机拍照发出去后为啥旋转了90度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓开发中红米手机拍照发出去后为啥旋转了90度 10C 开发过程中,做了一个类似微信朋友圈的东西,拍照上传图片的时候,在红米手机上遇到了这个问题,本来是正着拍摄,发出去后在朋友圈显示的是旋转了90度的,如图所示,键盘旋转了90度 解决方案 跟手机有关,手机拍照默认横屏 解决方案二: 我也是红米,做移动开发时拍照是正常的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQPxGz.html" rel="bookmark">安卓 电池-安卓怎样获取电池容量？是多少mAh不是百分比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓怎样获取电池容量?是多少mAh不是百分比 安卓怎样获取电池容量?是多少mAh不是百分比,求大神指导...................... 解决方案 http://xdwangiflytek.iteye.com/blog/1707106http://233.io/article/1029900.html 解决方案二: http://blog.csdn.net/liushuaikobe/article/details/7416431 解决方案三: http://blog.csdn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXjXlb.html" rel="bookmark">ubuntu-安卓平板安卓ubunt系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓平板安卓ubunt系统 5C 先有爱国者M88 HD平板,平板详情如下:爱国者 M88平板电脑详情 ,想要安装ubuntu系统,求具体教程.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxWRRb.html" rel="bookmark">安卓录像机-安卓简易录像机如何用代码实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓简易录像机如何用代码实现 有哪位大神知道安卓简易录像机如何实现啊 最好有代码和注释 跪求 解决方案 http://blog.csdn.net/shen332401890/article/details/8819564 解决方案二: http://blog.csdn.net/dany1202/article/details/6164450 解决方案三: Android拍照.录像.录音代码范例 android源码解析 ---- camera 照相机 摄像机 解决方案四: http://			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWXEAp.html" rel="bookmark">android-初学者写安卓应用需要准备什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学者写安卓应用需要准备什么? 具体主要包括技术准备,计算机语言,应采取的方式,计算机需安装那些程序,应注意那些问题?本人使用win7系统,希望各位大大能帮下忙,详细点最好 解决方案 语言JAVA,XML,android软件eclipse.sdk.插件adt 解决方案二: 你这个问题太大了,学安卓有一颗不畏bug的?就够了! 解决方案三: 首先,赶快开始写代码,不要犹豫 解决方案四: 基础知识 IDE API 多练习 解决方案五: 一个人写一个简单的程序应用,应该不难,基础很重要! 解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjm4nz.html" rel="bookmark">eclipse-在使用安卓模拟器genymotion时出现的问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在使用安卓模拟器genymotion时出现的问题? 再使用安卓模拟器 genymotion时候无法加载,在eclipse上安装插件后运行时出现的一段话 Loading Genymotion library Genymotion directory: C:UsersAdministratorDesktopandroid-sdk-windows Trying to initialize engine Exception (VBoxManage): java.io.IOException:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOKJ3z.html" rel="bookmark" class="title">情感化设计案例&colon;增强用户体验为用户创造价值</a>
					<div>
						文章描述:一点点情感化的设计改进,影响的是上万甚至上亿的用户体验.我希望越来越多的产品在设计中加入一点&quot;人情味&quot;,让情感化设计更加流行.这才是真正的正能量,不是吗? @胡澈figh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj50Zz.html" rel="bookmark" class="title">制作网站前看看这些好的网页技术规范</a>
					<div>
						规范|网页 命名规范 文件命名的原则:以最少的字母达到最容易理解的意义. 一般文件及目录命名规范: 每一个目录中应该包含一个缺省的html 文件,文件名统一用index.htm文件名称统一用小写的英文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwOnkz.html" rel="bookmark" class="title">JSP语法（9）&mdash;&mdash;</a>
					<div>
						js|语法 &lt;jsp:getProperty&gt; 获取Bean的属性值,用于显示在页面中 JSP 语法 &lt;jsp:getProperty name=&quot;beanInstance ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0KDPb.html" rel="bookmark" class="title">PHP实例：用PHP实现多文件上载系统程序</a>
					<div>
						PHP实例:用PHP实现多文件上载系统程序 &lt;?php //多文件上载系统完整版 include(&quot;../include/common.inc&quot;); $title = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj4qnp.html" rel="bookmark" class="title">网站首页如何改版才能避免降权</a>
					<div>
						一:网站结构的修改 在此,笔者认为网站业务方向和网站结构是最重要的,无论是忠诚用户或是已经建立的搜索索引分类,这是网站的发展基础,如果这个也要经常性地发生变化,那么这个网站的可信度和索引类别荡然无存, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr4nlp.html" rel="bookmark" class="title">Windows下反汇编程序例子</a>
					<div>
						Windows下编写的程序经编译链接之后,就可用debug等调试工具调试执行,也能看到反汇编的结果,这很便于理解&quot;汇编指令&quot;是如何翻译成&quot;机器指令&quot;的.对Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wNwLp.html" rel="bookmark" class="title">Cassandra数据库的基本操作</a>
					<div>
						启动Cassandra之后,我们可以用Cassandra的命令行来执行Cassandra的基本操作: 先启动cassandra-cli 连接到Cassandra服务:(Test Cluster是默认的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP5Dwz.html" rel="bookmark" class="title">JavaScript中用sort&lpar;&rpar;方法对数组元素进行排序的操作</a>
					<div>
						  这篇文章主要介绍了JavaScript中用sort()方法对数组元素进行排序的操作,是JS入门学习中的基础知识,需要的朋友可以参考下 JavaScript数组sort()方法排序数组的元素. 语法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLlY8b.html" rel="bookmark" class="title">关于Tar包压缩时相对路径的问题</a>
					<div>
						  现在有一个需求,不知道该如何才能实现 压缩: tar czvf /data/backup/test.tar.gz /data/a/b/directory 解压: cd /data/test tar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG4BDb.html" rel="bookmark" class="title">win7电脑文件夹下面的字体为什么变成了蓝色？</a>
					<div>
						  其实不管是在哪个系统中,咱们w764位旗舰版电脑中的文件夹默认的字体都是白色的,大家若是平时没有注意到的话,可以现在随便的找一个文件夹看看,应该都是白色的字体,相信这也让大家习惯接受了吧!不过最近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8oQYb.html" rel="bookmark" class="title">巧用网络配置快速解决windows7统无法上网的问题</a>
					<div>
						  1.首先鼠标右击桌面的右下角网络小图标,然后选择&quot;打开网络和共享中心&quot;选项; 2.在弹出的界面中单击更改&quot;适配器设置&quot;项,这时候就会显示所有的网络连接; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlwq5b.html" rel="bookmark" class="title">Mysql中order by语句的优化详解</a>
					<div>
						在某些情况中,MySQL可以使用一个索引来满足ORDER BY子句,而不需要额外的排序.where条件和order by使用相同的索引,并且order by的顺序和索引顺序相同,并且order by的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7jVPp.html" rel="bookmark" class="title">logback打印日志输出到不同文件</a>
					<div>
						问题描述 logback打印日志输出到不同文件 用logback打印日志,想把同一个日志打印成两份一样的,两份文件生成了,但是,只有第一份文件有日志信息,而第二份没有...这是怎么回事?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ0adb.html" rel="bookmark" class="title">有关java的问题</a>
					<div>
						问题描述 对java的知识点有所掌握但是不会编程,通常在编的时候老出错但是过了一段时间后会自己发现错误并解决!该怎样解决这样的问题呢?但是对于一些难的题目还是不会做的但是看看还是能看懂的!java的初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVxqOb.html" rel="bookmark" class="title">spine在unity的问题-从spine中导入到unity的mesh动画失效。</a>
					<div>
						问题描述 从spine中导入到unity的mesh动画失效. 20C 把spine做好的动画导入到unity中,其中还用到了mesh动画.步骤是这样的把Spine中做的动画导入到unity之后再到sk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z1oAM.html" rel="bookmark" class="title">一个通过试用装活动推广品牌的案例</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 通过百度搜一下&quot;化妆品试用装&quot;我们可以得到约3170000个结果,搜索结果中很多是试用类网站,此类网站中可能目前以北京的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK6DDb.html" rel="bookmark" class="title">机器学习----线性回归模型</a>
					<div>
						一,线性模型描述 简单线性回归如: y= ax+b 对于多变量的情形 通常,通过机器学习训练模型计算的值和真实值可能存在一定的误差: 因此,我们使用最大似然估计就可以得到损失函数: 利用高斯的对数似然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVWjb.html" rel="bookmark" class="title">网络豪放女排行榜：菊花第1芙蓉姐姐次席&lpar;图&rpar;</a>
					<div>
						历史总是惊人的相似.借用一下,应该是,现代社会,行走于网络江湖,走红总是惊人的类似.当木子美.流氓燕在人们的视线里渐渐淡出时,在时代与舆论的风口处,又催生出了 新的&quot;豪放女&quot;. s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqAADp.html" rel="bookmark" class="title">感觉差不多了。CLOUDSTACK的NAT，端口转发和防火墙结合穿透</a>
					<div>
						构架差不多OK啦. 测试也近尾声啦. 感觉它适合私有云,或是混合云,但结合了SDN的网络,真的很安全. 如果是纯公有云,也是更适合特定方案.或是要第二次开发,毕竟让ACCOUNT登陆到后台,结合GUE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkWl1M.html" rel="bookmark" class="title">Oracle的awr报表分析数据库性能</a>
					<div>
						早上群里喊数据库挂了,开始阶段服务登录不上,等登录系统后发现系统负载很高. 运行的oracle服务,今天就用oracle的awr作了一把分析,步骤如下: 一.登录数据库 [root@iZ233j4mp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWD37M.html" rel="bookmark" class="title">浙大睿医人工智能研究中心吴福理：我眼中医疗人工智能的现状</a>
					<div>
						资本大量涌入医疗人工智能领域,截至2017年8月份,根据亿欧智库的统计,国内医疗人工智能公司中有104家累积融资额已超过180亿人民币. 从这几个数字中也可看出当今医疗AI的火爆程度.那么在这个领域中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkABKjb.html" rel="bookmark" class="title">Android&rsqb; Android开发优化之&mdash;&mdash;从代码角度进行优化</a>
					<div>
						通常我们写程序,都是在项目计划的压力下完成的,此时完成的代码可以完成具体业务逻辑,但是性能不一定是最优化的.一般来说,优秀的程序员在写完代码之后都会不断的对代码进行重构.重构的好处有很多,其中一点,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRjVrp.html" rel="bookmark" class="title">websphere应用程序访问报错</a>
					<div>
						问题描述 放个问题求教一下,本人在console下部署web应用,有两台服务器通过集群方式部署,应用程序安装启动成功后,却无法通过浏览器,访问提示http500,看SystemOut.log里提示加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnNDPM.html" rel="bookmark" class="title">谷歌公布十大恶意网站均曾攻击上万网站</a>
					<div>
						鉴于最近网站感染恶意软件事件数量呈现增长趋势,谷歌最近公布了近几个月中最流行的十大恶意网站. 自2006年以来,谷歌一直在识别那些通过自动安装和运行恶意软件等方式攻击访问者的网站,也就是那些下载驱动式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv0nyM.html" rel="bookmark" class="title">ASP&period;NET中readonly与const的区别详解&lowbar;实用技巧</a>
					<div>
						const是一个修饰常量的关键字,它限定一个变量不允许被改变.使用const在一定程度上可以提高程序的安全性和可靠性,它在程序设计中有着非常重要的作用,给开发人员带来非常方便的应用. 下面我们来建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnxEvp.html" rel="bookmark" class="title">TestNG环境搭建以及框架初识</a>
					<div>
						TestNG的英文为Test Next Generation, 听上去好像下一代测试框架已经无法正常命名了的样子,哈哈,言归正传,啥是TestNG呢,它是一套测试框架,在原来的Junit框架的思想基础 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Yejz.html" rel="bookmark" class="title">C&num;调用Search&lpar;&rpar;方法怎么用啊？</a>
					<div>
						问题描述 我想在一个视图里根据第1,3,5列的条件来查询指定的数据怎么查呢?听说Search()函数可以实现,请问怎么用呢? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvXe4M.html" rel="bookmark" class="title">入门指引 - PHP手册笔记</a>
					<div>
						原文:入门指引 - PHP手册笔记 曾经简单的学习过PHP,看的是&lt;PHP和MySQL Web开发&gt;,还有万能的搜索引擎的帮助.这次准备系统的学习一下,参考资料是PHP Manual. P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyWGRM.html" rel="bookmark" class="title">中小网站不靠SEO流量如何存活&quest;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 看腻了千篇一律SEO文章,今天来点其他的菜肴,这篇文章或许对专职做百度SEO的站长有些受用.本人文笔有限,各位将就看吧. 没有百度流量你该怎么办?没有S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Bmwp.html" rel="bookmark" class="title">小米最后一座堡垒即将被华为攻陷？</a>
					<div>
						手机看得多了,也说惯了硬件,却忘了很多国产手机品牌是最初是依靠操作系统起家的.这些原本依附在外国品牌手机上的操作系统,以人性化的设计和良好的口碑,为自己赢得了第一批用户,随后成功转型成为手机厂商,国产 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
